org.apache.jmeter.protocol.http.util.accesslog

## Class NVPair

- java.lang.Object
- - org.apache.jmeter.protocol.http.util.accesslog.NVPair

    public class NVPair
    extends Object

Description:

### Field Summary

Fields
`protected String` `NAME`
`protected String` `VALUE`

### Constructor Summary

Constructors
Constructor and Description
`NVPair()`
`NVPair(String name, String value)` The constructor takes a name and value which represent HTTP request parameters.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()` Return the name
`String` `getValue()` Return the value
`void` `setName(String name)` Set the name
`void` `setValue(String value)` Set the value

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NAME

    protected String NAME

#### VALUE

    protected String VALUE

### Constructor Detail

#### NVPair

    public NVPair()

#### NVPair

    public NVPair(String name,
                  String value)

The constructor takes a name and value which represent HTTP request parameters.

Parameters:
  `name` - name of the request parameter
  `value` - value of the request parameter

### Method Detail

#### setName

    public void setName(String name)

Set the name

Parameters:
  `name` - name of the request parameter

#### setValue

    public void setValue(String value)

Set the value

Parameters:
  `value` - value of the request parameter

#### getName

    public String getName()

Return the name

Returns:
  name

#### getValue

    public String getValue()

Return the value

Returns:
  value